package com.ysnows.base.widget.tablayout;

import com.chad.library.adapter.base.viewholder.BaseDataBindingHolder;
import com.ysnows.base.R;
import com.ysnows.base.base.BAdapter;
import com.ysnows.base.databinding.WidgetMemuItemBinding;

import org.jetbrains.annotations.NotNull;


public class MainMenuAdapter extends BAdapter<Tab, BaseDataBindingHolder<WidgetMemuItemBinding>> {

    public MainMenuAdapter() {
        super(R.layout.widget_memu_item);
    }

    @Override
    protected void convert(@NotNull BaseDataBindingHolder<WidgetMemuItemBinding> helper, Tab tab) {
        WidgetMemuItemBinding binding = helper.getDataBinding();
        if (binding != null) {
            binding.setTab(tab);
        }
    }
}
